<?= $this->headScript()->prependFile(_st('overlay.js?v='. JS_STATIC_V), 'text/javascript') ?>
<div id="valentinePopup" class="modal">
    <div class="modal__overlay jsOverlay"></div>
    <div class="modal__container">
        <div class="close-button-mod" id="close-button-mod-id">&times;</div>

        <div class="modal-header-img"> <?= __('win_800_eu_mobile') ?> </div>

        <div class="holder-texts-content">
            <div id="section-1">
                <?= __('val-sect-one')  ?>
            </div>

            <div id="section-2" class="subs">
                <span class="deeppink">&#10084;</span><?= __('secti_2')  ?>
            </div>
            <div id="section-3" class="subs">
                <span class="deeppink">&#10084;</span><?= __('secti_3')  ?>
            </div>
            <div id="section-4" class="subs">
                <span class="deeppink">&#10084;</span><?= __('secti_4')  ?>
            </div>
            <div id="section-5" class="subs">
                <?= __('you_can_read_more') ?><a id="red-here" href="/page/valentines-contest"> <?= __('here') ?></a>.
            </div>

            <div id="section-6" class="subs">
                <?= __('valentine_extra') ?>
            </div>
        </div>
        <div class="modal__container-cen">
            <?
            $galery = '';
            if ($this->user->user_type == 'escort') {
                $galery = '/photo-video';
            }

            if ($this->user->user_type == 'agency') {
                $galery = '/private-v2/escorts';
            }
            ?>
            <a id="red-galery-page" href="<?= $galery; ?>" class="but"><?= __('upload_picture') ?></a>
        </div>

    </div>
</div>

<style>

    #red-here {
        color: deeppink;
        text-transform: uppercase;
    }

    #red-here:hover {
        color: deeppink;

    }

    .deeppink {
        color: deeppink;
        margin-right: 10px;
    }

    #valentinePopup.modal {
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: 20;
        width: 100%;
        height: 100%;
        margin: 0;
        opacity: 0;
        visibility: hidden;
        transition: visibility 0s linear 0.1s, opacity 0.3s ease;
    }

    #valentinePopup .modal__container {

        align-items: center;
        position: relative;
        width: 330px;
        margin: 10% auto 100vh;
        height: auto;
        background-color: white;
        background-size: contain;
    }

    #valentinePopup .xmas-congrats {
        font-size: 28px;
        position: absolute;
        top: 160px;
        left: 375px;
        color: #f2ed91;
    }

    #valentinePopup .xmas-congrats-text {
        left: 375px;
        position: absolute;
        max-width: 260px;
        font-size: 16px;
        word-break: break-word;
        top: 215px;
        color: #ffffff;
        line-height: 1.4;
        letter-spacing: 0.5px;
    }

    #valentinePopup .xmas-congrats-info {
        position: absolute;
        top: 120px;
        font-size: 30px;
        left: 149px;
        word-break: break-word;
        color: #911922;
        display: flex;
        justify-content: center;
        align-items: center;
        height: 250px;
    }

    #valentinePopup .xmas-congrats-info p {
        display: -webkit-box;
        max-width: 180px;
        -webkit-line-clamp: 6;
        -webkit-box-orient: vertical;
        overflow: hidden;
        line-height: 1.1;
    }

    #valentinePopup #xmas-understand {
        position: absolute;
        top: 300px;
        left: 375px;
        padding: 15px 20px;
        background: linear-gradient(to right, #c1b620, yellow 50%, #c1b620);
        border-radius: 5px;
        font-size: 18px;
        text-transform: uppercase;
        letter-spacing: 1px;
    }

    #valentinePopup.modal.open {
        visibility: visible;
        opacity: 1;
        transition-delay: 0s;
        display: block;
        z-index: 99999;
    }


    .modal-header-img {
        background-image: url(/img/valentine/val-mobile-header.png);
        background-size: cover;
        color: white;
        font-size: 20px;
        padding: 20px 0;
        /* line-height: 40px; */
        /* min-height: 80px; */
        background-repeat: no-repeat;
        margin: 0 auto;
        text-align: center;
    }

    .close-button-mod {
        position: absolute;
        right: 10px;
        top: 5px;
        font-size: 20px;
        color: white;
        text-transform: uppercase;
    }

    #red-galery-page {
        color:white;
    }

    #section-1 {
        font-size: 11pt;
    }

    .subs {
        margin-top: 25px;
        font-size: 14px;
    }

    .holder-texts-content {
        margin: 35px;
    }

    .popup-hr-val {
        margin-top: 25px;
        background-color: rgba(142, 142, 142, 0.58);
        border-color: transparent;
        height: 1px;
    }

    .but {
        border-radius: 12px;
        background-color: rgb(255, 44, 119);
        padding: 20px;
        z-index: 9;
        color: white;
        font-size: 20px;
    }

    a {
        text-decoration: none;
        font-weight: bold;
    }

    a:hover {
        color: white;
    }

    .modal__container-cen {
        display: flex;
        justify-content: space-around;
        padding-bottom: 20px;
    }

    hr.style-two {
        margin-top: 30px;
        border: 0;
        height: 1px;
        background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
    }

    .close-button-mod:hover {
        cursor: pointer;
    }

    #valentinePopup .modal__overlay {
        background-color: rgb(0, 0, 0);
        position: absolute;
        left: 0px;
        top: 0px;
        z-index: 200;
        opacity: 0.5;
        visibility: visible;
        display: inline-block;
        width: 100%;
        height: 100%;
    }

    div#valentinePopup .modal__container {
        z-index: 999;
    }
</style>